;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10 -*-

;;; CM-ETF: music notation output from Common Music to Finale format
;;; Copyright (C) 2006 Niklas Kambeitz (niklas.kambeitz@mail.mcgill.ca)
;;;
;;; This program is free software; you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 2 of the License, or
;;; (at your option) any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

(defsystem cm-etf
  :name "cm-etf"
  :author "Niklas Kambeitz <niklas.kambeitz@mail.mcgill.ca>"
  :licence "GPL"
  :description "Outputs Enigma Transportable Files (ETF) from Common Music (CM)"
  :components ((:file "packages")
               (:file "text-io" :depends-on ("packages"))
               (:file "file-io" :depends-on ("packages" "text-io"))
               (:file "rhythm-analysis" :depends-on ("packages"))
               (:file "combinations" :depends-on ("packages"))
               (:file "spelling" :depends-on ("packages" "combinations"))
               (:file "etf-data" :depends-on ("packages"))
               (:file "om-bits" :depends-on ("packages"))              ; in OM package
               (:file "simpleTree" :depends-on ("packages" "om-bits")) ; in OM package
               (:file "conversion" :depends-on ("packages" "rhythm-analysis" "spelling" 
                                                "etf-data" "simpleTree" "file-io" ))))

(pushnew :cm-etf *features*)
