;;; -*- Syntax: Common-Lisp; Base: 10; Mode: LISP -*-

;;; CM-ETF: music notation output from Common Music to Finale format
;;; Copyright (C) 2006 Niklas Kambeitz (niklas.kambeitz@mail.mcgill.ca)
;;;
;;; last modified Time-stamp: <Aug- 1-2006 11:31>
;;;
;;; This program is free software; you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 2 of the License, or
;;; (at your option) any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

(in-package "COMMON-LISP-USER")

(defpackage "OM"
    (:nicknames "OPENMUSIC")
    (:use "COMMON-LISP")
    (:export "SIMPLE->TREE" "MKTREE" "UNPACK-TREE" "MEASURES->SIMPLE"
             "X->DX" "DX->X" "FLAT" "OM*"
             "MAKE-MULTIPLIER-LIST"
             ))

(defpackage "CM-ETF"
    (:nicknames "ENIGMA")
    (:use "COMMON-LISP" "CM")
    (:import-from :CM 
                  :MIDI :TIME :DURATION :KEYNUM
                  :CHANNEL :AMPLITUDE
                  :MIDI-DURATION :MIDI-KEYNUM :NOTE-NAME 
                  :INTERVAL :INTERVAL-QUALITY
                  :PERFECT :MAJOR :MINOR :DIMINISHED :AUGMENTED
                  :DOUBLY-AUGMENTED :DOUBLY-DIMINISHED
                  :BS :C :CS :DF :D :DS :EF :E :FF :ES :F :FS 
                  :GF :G :GS :AF :A :AS :BF :B :CF)
    (:export "SEQ->ETF" "SCORE->ETF" "OPEN-FINALE" "SPELL" "MAKE-ETF"))

;; could also export "WRITE-TEXT" "READ-TEXT" "READ-RAW-TEXT" "SOUNDING-PITCHES"  etc...

(use-package :cm-etf :cm)
